---
title: Create Pipeline
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Pipelines](https://developers.cloudflare.com/api/python/resources/pipelines)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Create Pipeline

pipelines.create\_v1(PipelineCreateV1Params\*\*kwargs) -> [PipelineCreateV1Response](<https://developers.cloudflare.com/api/python/resources/pipelines#(resource)%20pipelines%20%3E%20(model)%20pipeline_create_v1_response%20%3E%20(schema)>)

POST/accounts/{account\_id}/pipelines/v1/pipelines

Create a new Pipeline.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Pipelines Write`

##### ParametersExpand Collapse

account\_id: str

Specifies the public ID of the account.

[Link to this property](<#(resource)%20pipelines%20%3E%20(method)%20create_v1%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

name: str

Specifies the name of the Pipeline.

maxLength128

minLength1

[Link to this property](<#(resource)%20pipelines%20%3E%20(method)%20create_v1%20%3E%20(params)%20default%20%3E%20(param)%20name%20%3E%20(schema)>)

sql: str

Specifies SQL for the Pipeline processing flow.

[Link to this property](<#(resource)%20pipelines%20%3E%20(method)%20create_v1%20%3E%20(params)%20default%20%3E%20(param)%20sql%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class PipelineCreateV1Response: …

</summary>

id: str

Indicates a unique identifier for this pipeline.

<a href="#(resource)%20pipelines%20%3E%20(model)%20pipeline_create_v1_response%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

created\_at: str

<a href="#(resource)%20pipelines%20%3E%20(model)%20pipeline_create_v1_response%20%3E%20(schema)%20%3E%20(property)%20created_at">Link to this property</a>

modified\_at: str

<a href="#(resource)%20pipelines%20%3E%20(model)%20pipeline_create_v1_response%20%3E%20(schema)%20%3E%20(property)%20modified_at">Link to this property</a>

name: str

Indicates the name of the Pipeline.

maxLength128

minLength1

<a href="#(resource)%20pipelines%20%3E%20(model)%20pipeline_create_v1_response%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

sql: str

Specifies SQL for the Pipeline processing flow.

<a href="#(resource)%20pipelines%20%3E%20(model)%20pipeline_create_v1_response%20%3E%20(schema)%20%3E%20(property)%20sql">Link to this property</a>

status: str

Indicates the current status of the Pipeline.

<a href="#(resource)%20pipelines%20%3E%20(model)%20pipeline_create_v1_response%20%3E%20(schema)%20%3E%20(property)%20status">Link to this property</a>

</details>

[Link to this property](<#(resource)%20pipelines%20%3E%20(model)%20pipeline_create_v1_response%20%3E%20(schema)>)

### Create Pipeline

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.pipelines.create_v1(
    account_id="0123105f4ecef8ad9ca31a8372d0c353",
    name="my_pipeline",
    sql="insert into sink select * from source;",
)
print(response.id)
```

200 example

```
{
  "result": {
    "id": "01234567890123457689012345678901",
    "created_at": "created_at",
    "modified_at": "modified_at",
    "name": "my_pipeline",
    "sql": "insert into sink select * from source;",
    "status": "status"
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "result": {
    "id": "01234567890123457689012345678901",
    "created_at": "created_at",
    "modified_at": "modified_at",
    "name": "my_pipeline",
    "sql": "insert into sink select * from source;",
    "status": "status"
  },
  "success": true
}
```